Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class KeyStoreUtil

    java.lang.Object
      org.wso2.wsas.util.KeyStoreUtil

    public final class KeyStoreUtil

extends java.lang.Object

Method Summary
`static java.security.cert.Certificate` | `getCertificate(java.lang.String keyStoreName, java.lang.String alias)`
`static java.security.KeyStore` | `getKeyStore(java.lang.String keyStoreName)`
`static boolean` | `keyStoreExists(java.lang.String keyStoreLocation)`
`static void` | `persistKeyStore(java.lang.String keyStoreLocation, java.lang.String keyStorePassword, java.lang.String keyStoreType, java.lang.String privateKeyAlias, java.lang.String privateKeyPassword, java.lang.String provider, boolean isPrimaryKeyStore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### keyStoreExists

    public static boolean keyStoreExists(java.lang.String keyStoreLocation)

### persistKeyStore

    public static void persistKeyStore(java.lang.String keyStoreLocation,
                                       java.lang.String keyStorePassword,
                                       java.lang.String keyStoreType,
                                       java.lang.String privateKeyAlias,
                                       java.lang.String privateKeyPassword,
                                       java.lang.String provider,
                                       boolean isPrimaryKeyStore)
                                throws KeyStoreAlreadyExistsException,
                                       org.wso2.utils.ServerException

  Throws:
    `KeyStoreAlreadyExistsException`
    `org.wso2.utils.ServerException`

### getCertificate

    public static java.security.cert.Certificate getCertificate(java.lang.String keyStoreName,
                                                                java.lang.String alias)
                                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getKeyStore

    public static java.security.KeyStore getKeyStore(java.lang.String keyStoreName)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD